Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.b2b
Interface RequestState

All Known Implementing Classes:
  RequestStateImpl

public interface RequestState
extends java.io.Serializable

Maintains the portal state for a particular servlet request.

Method Summary
`java.util.Calendar` | `calendar()` Returns a `Calendar` for use during this request.
`long` | `getDefaultQpaQty()` Returns the default quantity value to be displayed in the QPA form.
`java.lang.String` | `getIconUrl(javax.servlet.http.HttpServletRequest request, SessionState sState)` Returns a URL for obtaining the titlebar icon for the requesting portlet.
`java.util.List` | `getParts()` Returns the parts inventory to be displayed.
`java.util.List` | `getPOs()` Returns the purchase orders to be displayed
`java.lang.String` | `getProcessImageURL()` Returns the image URL for the process portlet.
`java.util.List` | `getProducts()` Returns the product inventory to be displayed.
`java.util.List` | `getQuotes()` Returns the quotes to be displayed.
`CalendarFormData` | `qpaCalendarFormData()` Returns date information collected from the QPA form for redisplay.
`boolean` | `qpaFormDataError()` Returns true if an error occured when validating form data.
`int` | `qpaFormDataErrorCount()` Returns a count of the number of errors that have been recorded for the QPA form.
`java.util.List` | `qpaFormDataErrorMsg()` If qpaFormDataError() returns true this method will return a `List` of `String` messages associated with the error(s).
`boolean` | `quoteFormDataError()` Returns true if an error occured when validating form data.
`java.lang.String` | `quoteFormDataErrorMsg()` If quoteFormDataError() returns true this method will return a message associated with the error.
`void` | `setDefaultQpaQty(long qty)` Sets the default quantity value to be displayed in the QPA form.
`void` | `setParts(java.util.List parts)` Sets this parts inventory to be displayed.
`void` | `setPOs(java.util.List pos)` Sets the purchase orders to be displayed.
`void` | `setProcessImageURL(java.lang.String url)` Sets the image URL for the process portlet.
`void` | `setProducts(java.util.List products)` Sets the product inventory to be displayed.
`CalendarFormData` | `setQpaCalendarFormData(CalendarFormData data)` Sets the ``CalendarFormData`` for this request.
`void` | `setQpaFormDataError(java.lang.String message)` Use to indicate an error has occured.
`void` | `setQuoteFormDataError(java.lang.String msg)` Use to indicate an error has occured.
`void` | `setQuotes(java.util.List quotes)` Sets the quotes to be displayed.

Method Detail

### calendar

    public java.util.Calendar calendar()

  Returns a `Calendar` for use during this request. By using this `Calendar` all processors and JSPs can use the same effective time when evaluating logic or display output.

### getIconUrl

    public java.lang.String getIconUrl(javax.servlet.http.HttpServletRequest request,
                                       SessionState sState)
                                throws javax.servlet.jsp.JspException

  Returns a URL for obtaining the titlebar icon for the requesting portlet. This method must be called during portlet rendering for the results to be meaningful.

  Parameters:
    `request` - the `HttpServletRequest`.
    `sState` - the user's `SessionState`.
  Throws:
    javax.servlet.jsp.JspException - if unable to obtain information from the portal framework necessary to generate the url.

### getProducts

    public java.util.List getProducts()

  Returns the product inventory to be displayed.

  Returns:
    a `List` of `Inventory` objects.

### setProducts

    public void setProducts(java.util.List products)

  Sets the product inventory to be displayed.

  Parameters:
    `products` - a `List` of `Inventory` objects.

### getParts

    public java.util.List getParts()

  Returns the parts inventory to be displayed.

  Returns:
    a `List` of `Inventory` objects.

### setParts

    public void setParts(java.util.List parts)

  Sets this parts inventory to be displayed.

  Parameters:
    `parts` - a `List` of `Inventory` objects.

### getDefaultQpaQty

    public long getDefaultQpaQty()

  Returns the default quantity value to be displayed in the QPA form.

### setDefaultQpaQty

    public void setDefaultQpaQty(long qty)

  Sets the default quantity value to be displayed in the QPA form.

  Parameters:
    `qty` - the default quantity to display in the form.

### getQuotes

    public java.util.List getQuotes()

  Returns the quotes to be displayed.

  Returns:
    a `List` of `PurchaseQuote` objects.

### setQuotes

    public void setQuotes(java.util.List quotes)

  Sets the quotes to be displayed.

  Parameters:
    `quotes` - a `List` of `PurchaseQuote` objects.

### getPOs

    public java.util.List getPOs()

  Returns the purchase orders to be displayed

  Returns:
    a `List` of `PO` objects.

### setPOs

    public void setPOs(java.util.List pos)

  Sets the purchase orders to be displayed.

  Parameters:
    `pos` - a `List` of `PO` objects.

### getProcessImageURL

    public java.lang.String getProcessImageURL()

  Returns the image URL for the process portlet.

### setProcessImageURL

    public void setProcessImageURL(java.lang.String url)

  Sets the image URL for the process portlet.

  Parameters:
    `the` - current process image url.

### qpaFormDataError

    public boolean qpaFormDataError()

  Returns true if an error occured when validating form data. Messages corresponding to the error(s) can be retrieved with the `qpaFormDataErrorMsg()` method.

  See Also:
    `qpaFormDataErrorMsg()`, `qpaFormDataErrorCount()`, `setQpaFormDataError(java.lang.String)`

### qpaFormDataErrorCount

    public int qpaFormDataErrorCount()

  Returns a count of the number of errors that have been recorded for the QPA form.

  Returns:
    zero if `qpaFormDataError()` returns false, otherwise the the number of errors will be returned and will be equal to the size of the `List` returned by `qpaFormDataErrorMsg()`.
  See Also:
    `qpaFormDataError()`, `setQpaFormDataError(java.lang.String)`, `qpaFormDataErrorMsg()`

### qpaFormDataErrorMsg

    public java.util.List qpaFormDataErrorMsg()

  If qpaFormDataError() returns true this method will return a `List` of `String` messages associated with the error(s).

  Returns:
    a `List` of `String` objects or null if no errors have occured.
  See Also:
    `qpaFormDataError()`, `qpaFormDataErrorCount()`, `setQpaFormDataError(java.lang.String)`

### setQpaFormDataError

    public void setQpaFormDataError(java.lang.String message)

  Use to indicate an error has occured. The message will be added to a list of messages and can be retrieved with the `qpaFormDataErrorMsg()` call. Use of this method will cause a call to `qpaFormDataError()` to return true.

  Parameters:
    `message` - a string indicating the error that occured.
  See Also:
    `qpaFormDataErrorMsg()`, `qpaFormDataError()`, `qpaFormDataErrorCount()`

### qpaCalendarFormData

    public CalendarFormData qpaCalendarFormData()

  Returns date information collected from the QPA form for redisplay.

  Returns:
    a populated ``CalendarFormData`` or null. See ``QpaProcessor`` for more details on when this value is valid.

### setQpaCalendarFormData

    public CalendarFormData setQpaCalendarFormData(CalendarFormData data)

  Sets the ``CalendarFormData`` for this request.

### quoteFormDataError

    public boolean quoteFormDataError()

  Returns true if an error occured when validating form data. A message corresponding to the error(s) can be retrieved with the `quoteFormDataErrorMsg()` method.

  See Also:
    `setQuoteFormDataError(java.lang.String)`, `quoteFormDataErrorMsg()`

### quoteFormDataErrorMsg

    public java.lang.String quoteFormDataErrorMsg()

  If quoteFormDataError() returns true this method will return a message associated with the error.

  Returns:
    a `String` corresponding to the error that occurred.
  See Also:
    `quoteFormDataError()`, `setQuoteFormDataError(java.lang.String)`

### setQuoteFormDataError

    public void setQuoteFormDataError(java.lang.String msg)

  Use to indicate an error has occured. The message can be retrieved with a call to `quoteFormDataErrorMsg()`. Use of this method will cause a call to `quoteFormDataError()` to return true.

  Parameters:
    `msg` - a string indicating the error that occured.
  See Also:
    `quoteFormDataErrorMsg()`, `quoteFormDataError()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved